#include <bits/stdc++.h>
#define MOD 1000000007
using namespace std;
long long mnozenje[1000010],deljenje[1000010];
long long Binomni_Koeficijent(long long n,long long k)
{
    long long l=n;
    long long rez=1,br=min(n-k,k),t=br;
    for (int i=0;i<br;i++)
    {
        mnozenje[i]=l;
        l--;
    }
    for (int i=0;i<br;i++)
    {
        deljenje[i]=t;
        t--;
    }
    for (int i=0;i<br;i++)
    {
        rez*=mnozenje[i];
        for (int j=0;j<br;j++)
        {
            if (rez%deljenje[j]==0)
            {
                rez/=deljenje[j];
                deljenje[j]=1;
            }
        }
    }
    return rez;
}
int sva_slova_0[28]={0};
int main()
{
    long long n,rez=1;
    string s,abc;
    cin >> n;
    cin >> s;
    if (n<26)
    {
        cout << 0 << "\n";
        return 0;
    }
    abc="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    for (long long i=0;i<n;i++)
    {
        if (sva_slova_0[s[i]-'A']==0)
            sva_slova_0[s[i]-'A']++;
    }
    for (int i=0;i<26;i++)
    {
        if (sva_slova_0[i]==0)
        {
            cout << 0 << "\n";
            return 0;
        }
    }
    string konacni_string="";
    long long sva_slova[28]={0};
    long long i=0,t=0;
    while (i<n)
    {
        t=0;
        if (sva_slova[s[i]-'A']==0)
        {
            if (s[i]!='A' && sva_slova[s[i]-'A'-1]==0)
            {
                i++;
                continue;
            }
            if (s[i]=='A' && sva_slova[0]!=0)
            {
                i++;
                continue;
            }
            konacni_string+=s[i];
            char trenutno_slovo=s[i];
            sva_slova[s[i]-'A']++;
            while (s[i]==trenutno_slovo)
            {
                if (i==n)
                    break;
                t++;
                i++;
            }
            rez*=(Binomni_Koeficijent(t,t-1)%MOD);
            rez%=MOD;
            continue;
        }
        i++;
    }
    if (konacni_string==abc)
    {
        cout << rez << "\n";
        return 0;
    }
    cout << 0 << "\n";
    return 0;
}